use std::fs::File;
use std::io::Write;
use anyhow::Result;
use crate::parser::IdlTypedef;
use super::map_idl_type_to_rust;

/// 生成类型定义代码
pub fn generate_typedef_code(file: &mut File, typedef: &IdlTypedef, indent: &str) -> Result<()> {
    // 将IDL类型映射到Rust类型
    let rust_type = map_idl_type_to_rust(&typedef.type_spec);
    
    // 生成类型定义
    writeln!(file, "{}pub type {} = {};", indent, typedef.name, rust_type)?;
    writeln!(file, "")?;
    
    Ok(())
}
